package com.yunzhupaas.service;

import com.yunzhupaas.base.ActionResult;
import com.yunzhupaas.exception.LoginException;
import com.yunzhupaas.model.LoginVO;

import java.util.Map;

public interface AuthService {
    ActionResult<LoginVO> login(Map<String, String> parameters) throws LoginException;

    ActionResult kickoutByToken(String... tokens);

    ActionResult kickoutByUserId(String userId, String tenantId);
}

